Subject: bug#40375: 27.0.50; yank unexpectedly depends on progn

From: Noam Postavsky <[email-masked]>
Date: Mon, 13 Apr 2020 12:14:35 -0400

tags 40375 unreproducible
close 40375
quit

Noam Postavsky <[email-masked]> writes:

> Markus Triska <[email-masked]> writes:
>>
>>    (let ((data (base64-decode-string
>>    "iVBORw0KGgoAAAANSUhEUgAAAA4AAAAbBAMAAAC+faPKAAAALVBMVEX///8AAACgoKDg4OBAQEDA
>>    wMAQEBCQkJAgICCAgIBwcHAwMDBgYGDQ0NDw8PALucPOAAAACXBIWXMAAA7EAAAOxAGVKw4bAAAA
>>    X0lEQVQIHWNgYGBQBmIQcIVQDKkQmlkUQrNDaQ4oPRFCswuCaatGQWkXFwcGy5mNMjNnTgBqcYSq
>>    o4Q2gpoTgoVeKMTAUAUUvygDcTKXYACTA5DPoCG95QGIZjC9wAAAJ0UR8BmY4ewAAAAASUVORK5C
>>    YII=")))
>>      (kill-new
>>       (propertize data 'display `(image :type png :data ,data :ascent center))))
>>
>> When I start Emacs with:
>>
>>     $ emacs -Q yank.el --eval='(eval-buffer)'
>>
>> and then press C-y to yank, the image that was most recently killed via
>> kill-new is unexpectedly not inserted.
>
> I'm not able to reproduce this, the image (of a lower case t) yanks just
> fine for me.

No further response, so I'm closing the bug.